linux: 2.6.32-43.97 -proposed tracker

Bug #1045405 reported by Luis Henriques on 2012-09-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Prepare-package-ports-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-43.97 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 03. September 2012 16:00 UTC
kernel-stable-Prepare-package-end:Thursday, 06. September 2012 04:47 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 06. September 2012 04:47 UTC
kernel-stable-Promote-to-proposed-end:Friday, 07. September 2012 02:00 UTC
kernel-stable-Verification-testing-start:Friday, 07. September 2012 03:01 UTC
kernel-stable-Verification-testing-end:Monday, 10. September 2012 14:31 UTC
kernel-stable-Certification-testing-start:Monday, 10. September 2012 14:31 UTC
kernel-stable-Security-signoff-start:Monday, 10. September 2012 14:31 UTC
kernel-stable-Regression-testing-start:Monday, 10. September 2012 14:31 UTC
kernel-stable-Regression-testing-end:Tuesday, 11. September 2012 20:15 UTC
kernel-stable-Certification-testing-end:Friday, 14. September 2012 13:45 UTC
kernel-stable-Security-signoff-end:Friday, 14. September 2012 21:30 UTC
kernel-stable-Promote-to-updates-start:Sunday, 16. September 2012 21:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. September 2012 01:46 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. September 2012 01:46 UTC

CVE References

Luis Henriques (henrix) on 2012-09-03
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1046656

description: updated
Adam Conrad (adconrad) wrote :

Accepted to -proposed and overrides adjusted as of the next publisher run.

Brad Figg (brad-figg) on 2012-09-07
description: updated
Brad Figg (brad-figg) on 2012-09-07
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified, moving to testing.

Brad Figg (brad-figg) on 2012-09-10
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-11
description: updated

Hardware Certification have begun testing the -proposed kernel

Hardware Certification have begun testing this -proposed kernel

Hardware Certification have completed testing on the systems in the certification labs. Some servers could not be tested due to not being accessible after having been moved between data centers. Otherwise, no regressions were observed and the report is available at: http://people.canonical.com/~hwcert/sru-testing/wk38_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-09-14
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-09-14
description: updated
Brad Figg (brad-figg) on 2012-09-16
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-43.97

---------------
linux (2.6.32-43.97) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1045405

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * eCryptfs: Initialize empty lower files when opening them
    - LP: #911507
  * net: Allow driver to limit number of GSO segments per skb
    - LP: #1037456
    - CVE-2012-3412
  * tcp: do not scale TSO segment size with reordering degree
    - LP: #1037456
    - CVE-2012-3412
  * tcp: Apply device TSO segment limit earlier
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Replace some literal constants with EFX_PAGE_SIZE/EFX_BUF_SIZE
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
  * mm: Hold a file reference in madvise_remove
    - LP: #1042447
    - CVE-2012-3511
  * ulimit: raise default hard ulimit on number of files to 4096
    - LP: #663090
 -- Luis Henriques <email address hidden> Wed, 05 Sep 2012 09:39:41 +0100

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers